<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

  <xsl:variable name="evencolor">#bbbbff</xsl:variable>
  <xsl:variable name="oddcolor">#eeeeee</xsl:variable>
  <xsl:variable name="title" select="'Congress'"/>
  <xsl:variable name="displaytitle">
    <xsl:value-of select="$title"/>
  </xsl:variable>

  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="$displaytitle"/>
        </title>
        <xsl:call-template name="style"/>
      </head>
      <body>
        <h1><xsl:value-of select="$displaytitle"/> </h1>
	<xsl:apply-templates />
      </body>
    </html>
  </xsl:template>
 
  <xsl:template match="usps">
    <ul>
      <xsl:for-each select="state">
	<li>
	  <xsl:value-of select="@name"/>
	  &#160;&#160;
	  <xsl:text>[</xsl:text>
	  <a href="congress.php?st={@abbreviation}">table</a>
	  <xsl:text> | </xsl:text>
	  <a href="congress.php?st={@abbreviation}&amp;view=grid">grid</a>
	  <xsl:text>]</xsl:text>
	</li>
      </xsl:for-each>
    </ul>
  </xsl:template>
  
  <xsl:template name="style">
        <style type="text/css">
        tr.evenrow {background-color: <xsl:value-of select="$evencolor"/>;}
        tr.oddrow {background-color: <xsl:value-of select="$oddcolor"/>;}
          body {font-family:Calibri, Arial, Helvetica, sans-serif;}
        h1,h2,h3,h4,h5,h6 {text-align: center;}
      </style>
  </xsl:template>
</xsl:stylesheet>
